package uulm.teamname.marvelous.gamelibrary.gamelogic;

/** Contains checksum calculations.
 */
class ChecksumCalculator {
    /** Compares a checksum to the checksum of a {@link GameState}.
     * @param state The state to check.
     * @param input the checksum to compare to.
     * @return Whether or not the checksum matches the state's checksum.
     */
    public static boolean checkChecksum(GameState state, long input) {
        return calculateChecksum(state) == input;
    }

    /** Calculates the corresponding checksum to a {@link GameState}.
     * @param state The state to check.
     * @return The checksum.
     */
    public static long calculateChecksum(GameState state) {
        //TODO: implement ChecksumCalculator.calculateChecksum
        return 0;
    }
}
